@echo off
set BATCH_MODE=/b
cls
if "%config%" == "UPG_ALL" goto check_system
if "%config%" == "UPG_BIOS" goto check_system
goto no_check

:check_system
chkwin98.exe
if not errorlevel 1 goto no_check
echo ----------------------------------------
echo                 WARNING:
echo Updating the BIOS under Windows 98 may
echo fail and can lead to a non-bootable 
echo Power Panel!
echo Please use a Windows ME or Windows XP
echo boot disk. If you have a Power Panel
echo with BIOS Version 1.02 or higher you
echo can also use a MS-DOS 6.22 boot disk.
echo ----------------------------------------
choice /c:yn "Do you really want to continue "
if errorlevel 2 goto EXIT

:no_check
goto %config%

:UPG_BIOS
call updbios.bat
if errorlevel 1 goto EXIT
goto UPG_END

:UPG_FPGA
call updfpga.bat
if errorlevel 1 goto EXIT
goto UPG_END

:UPG_ALL
call updbios.bat
if errorlevel 1 goto EXIT
call updfpga.bat
if errorlevel 1 goto EXIT
goto UPG_END

:SAV_BIOS
call savbios.bat
goto EXIT

:SAV_FPGA
call savfpga.bat
goto EXIT

:SAV_ALL
call savbios.bat
if errorlevel 1 goto EXIT
call savfpga.bat
goto EXIT

:UPG_END
echo Remove disk and reboot system!

:EXIT
set BATCH_MODE=
